Vulnerability & Exploit Database

Back to search

Apache HTTPD: mod_proxy_ftp DoS (CVE-2009-3094)

Severity CVSS Published Added Modified
3 (AV:N/AC:H/Au:N/C:N/I:N/A:P) September 08, 2009 April 12, 2012 February 13, 2015

Description

The affected asset is vulnerable to this vulnerability ONLY if it is running one of the following modules: mod_proxy_ftp. Review your web server configuration for validation. A NULL pointer dereference flaw was found in the mod_proxy_ftp module. A malicious FTP server to which requests are being proxied could use this flaw to crash an httpd child process via a malformed reply to the EPSV or PASV commands, resulting in a limited denial of service.

Scan For This Vulnerability

Use our top-rated tool to discover, prioritize, and remediate your vulnerabilities

 Free InsightVM Trial

References

Solution

apache-httpd-upgrade-2_0_64

Related Vulnerabilities